package com.sikey.wa04.business.domain.usecase;

import com.sikey.wa04.business.domain.entity.ChildId;
import lombok.experimental.UtilityClass;

import java.util.UUID;

@UtilityClass
public class ChildIdFactory {

    /**
     * 创建一个 ChildId
     *
     * @param childId ChildId
     * @return ChildId
     */
    public ChildId create(String childId) {
        return new ChildId(childId);
    }

    /**
     * 生成一个新的 ChildId
     *
     * @return ChildId
     */
    public ChildId generate() {
        return new ChildId(UUID.randomUUID().toString());
    }

}
